<template>
  <div class="transaction-item">
    <div class="transaction-item__icon" :style="{ backgroundColor: bgIcon }">
      <AsIcon :name="icon" />
    </div>
    <div class="transaction-item__detail">
      <div class="transaction-item__info">
        <div class="transaction-item__name">{{ transactionName }}</div>
        <div
          :class="`transaction-item__amount ${
            transactionType === 1 ? 'increase' : ''
          }`"
        >
          {{ transactionAmount }}
        </div>
      </div>
      <div class="transaction-item__time">
        {{ transactionTime }}
      </div>
      <div class="transaction-item__button">
        <el-button type="text">
          <el-icon><credit-card /></el-icon>
          {{
            transactionType === 1
              ? 'Refund on debit card'
              : 'Charged to debit card'
          }}
        </el-button>
      </div>
    </div>

    <el-icon><arrow-right /></el-icon>
  </div>
</template>

<script>
import { ArrowRight, CreditCard } from '@element-plus/icons-vue';
export default {
  name: 'TransactionItem',
  components: {
    ArrowRight,
    CreditCard,
  },
  props: {
    icon: {
      type: String,
      default: 'file-storage',
    },
    bgIcon: {
      type: String,
      default: '#E7F5FF',
    },
    transactionName: {
      type: String,
      default: 'Hamleys',
    },
    transactionTime: {
      type: String,
      default: '20 May 2020',
    },
    amount: {
      type: Number,
      default: 150,
    },
    transactionType: {
      type: Number,
      default: 1, // 1 is refund, -1 is charge
    },
  },
  computed: {
    transactionAmount() {
      return `${this.transactionType === 1 ? '+' : '-'} S$ ${this.amount}`;
    },
  },
};
</script>

<style lang="scss">
.transaction-item {
  display: flex;
  > .el-icon {
    margin-top: 5px;
    color: #dddddd;
  }
  &__icon {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background-color: #e7f5ff;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  &__detail {
    display: flex;
    flex-direction: column;
    padding-left: 10px;
    padding-right: 10px;
    flex: 1;
  }
  &__info {
    display: flex;
    justify-content: space-between;
  }
  &__name {
    font-size: 14px;
    color: $-black;
    font-weight: bold;
  }
  &__time {
    color: #aaaaaa;
    font-size: 13px;
    margin-bottom: 10px;
  }
  &__amount {
    font-size: 14px;
    font-weight: bold;
    &.increase {
      color: $-green;
    }
  }
  &__button {
    .el-button {
      color: $-charge-blue;
      font-size: 12px;
      font-weight: bold;
    }
    .el-icon {
      width: 24px;
      height: 20px;
      background-color: $-charge-blue;
      color: $-white;
      margin-right: 10px;
      border-radius: 24px;
    }
  }
}
</style>
